---
:alerts:
  :create:
  - alerts.create
  :delete:
  - alerts.delete
  :read:
  - alerts.read
  :update:
  - alerts.update
:api_keys:
  :create:
  - api_keys.create
  :delete:
  - api_keys.delete
  :read:
  - api_keys.read
  :update:
  - api_keys.update
:asm_groups:
  :create:
  - asm.groups.create
  :delete:
  - asm.groups.delete
  :read:
  - asm.groups.read
  :update:
  - asm.groups.update
:billing:
  :create:
  - billing.create
  :delete:
  - billing.delete
  :read:
  - billing.read
  :update:
  - billing.update
:categories:
  :create:
  - categories.create
  :delete:
  - categories.delete
  :read:
  - categories.read
  - categories.stats.read
  - categories.stats.sums.read
  :update:
  - categories.update
:credentials:
  :create:
  - credentials.create
  :delete:
  - credentials.delete
  :read:
  - credentials.read
  :update:
  - credentials.update
:stats:
  :create: []
  :delete: []
  :read:
  - email_activity.read
  - stats.read
  - stats.global.read
  - browsers.stats.read
  - devices.stats.read
  - geo.stats.read
  - mailbox_providers.stats.read
  - clients.desktop.stats.read
  - clients.phone.stats.read
  - clients.stats.read
  - clients.tablet.stats.read
  - clients.webmail.stats.read
  :update: []
:ips:
  :create:
  - ips.pools.create
  - ips.pools.ips.create
  - ips.warmup.create
  :delete:
  - ips.pools.delete
  - ips.pools.ips.delete
  - ips.warmup.delete
  :read:
  - ips.assigned.read
  - ips.read
  - ips.pools.read
  - ips.pools.ips.read
  - ips.warmup.read
  :update:
  - ips.pools.update
  - ips.pools.ips.update
  - ips.warmup.update
:mail_settings:
  :create: []
  :delete: []
  :read:
  - mail_settings.address_whitelist.read
  - mail_settings.bcc.read
  - mail_settings.bounce_purge.read
  - mail_settings.footer.read
  - mail_settings.forward_bounce.read
  - mail_settings.forward_spam.read
  - mail_settings.plain_content.read
  - mail_settings.read
  - mail_settings.spam_check.read
  - mail_settings.template.read
  :update:
  - mail_settings.address_whitelist.update
  - mail_settings.bcc.update
  - mail_settings.bounce_purge.update
  - mail_settings.footer.update
  - mail_settings.forward_bounce.update
  - mail_settings.forward_spam.update
  - mail_settings.plain_content.update
  - mail_settings.spam_check.update
  - mail_settings.template.update
:mail:
  :create:
  - mail.send
  - mail.batch.create
  :delete:
  - mail.batch.delete
  :read:
  - mail.batch.read
  :update:
  - mail.batch.update
:marketing_campaigns:
  :create:
  - marketing_campaigns.create
  :delete:
  - marketing_campaigns.delete
  :read:
  - marketing_campaigns.read
  :update:
  - marketing_campaigns.update
:partner_settings:
  :create: []
  :delete: []
  :read:
  - partner_settings.new_relic.read
  - partner_settings.read
  - partner_settings.sendwithus.read
  :update:
  - partner_settings.new_relic.update
  - partner_settings.sendwithus.update
:scheduled_sends:
  :create:
  - user.scheduled_sends.create
  :delete:
  - user.scheduled_sends.delete
  :read:
  - user.scheduled_sends.read
  :update:
  - user.scheduled_sends.update
:subusers:
  :create:
  - subusers.create
  - subusers.credits.create
  - subusers.credits.remaining.create
  - subusers.monitor.create
  :delete:
  - subusers.delete
  - subusers.credits.delete
  - subusers.credits.remaining.delete
  - subusers.monitor.delete
  :read:
  - subusers.read
  - subusers.credits.read
  - subusers.stats.read
  - subusers.credits.remaining.read
  - subusers.monitor.read
  - subusers.reputations.read
  - subusers.stats.monthly.read
  - subusers.stats.sums.read
  - subusers.summary.read
  :update:
  - subusers.update
  - subusers.credits.update
  - subusers.credits.remaining.update
  - subusers.monitor.update
:suppression:
  :create:
  - suppression.create
  - suppression.bounces.create
  - suppression.blocks.create
  - suppression.invalid_emails.create
  - suppression.spam_reports.create
  - suppression.unsubscribes.create
  :delete:
  - suppression.delete
  - suppression.bounces.delete
  - suppression.blocks.delete
  - suppression.invalid_emails.delete
  - suppression.spam_reports.delete
  - suppression.unsubscribes.delete
  :read:
  - suppression.read
  - suppression.bounces.read
  - suppression.blocks.read
  - suppression.invalid_emails.read
  - suppression.spam_reports.read
  - suppression.unsubscribes.read
  :update:
  - suppression.update
  - suppression.bounces.update
  - suppression.blocks.update
  - suppression.invalid_emails.update
  - suppression.spam_reports.update
  - suppression.unsubscribes.update
:teammates:
  :create:
  - teammates.create
  :delete:
  - teammates.delete
  :read:
  - teammates.read
  :update:
  - teammates.update
:templates:
  :create:
  - templates.create
  - templates.versions.activate.create
  - templates.versions.create
  :delete:
  - templates.delete
  - templates.versions.activate.delete
  - templates.versions.delete
  :read:
  - templates.read
  - templates.versions.activate.read
  - templates.versions.read
  :update:
  - templates.update
  - templates.versions.activate.update
  - templates.versions.update
:tracking_settings:
  :create: []
  :delete: []
  :read:
  - tracking_settings.click.read
  - tracking_settings.google_analytics.read
  - tracking_settings.open.read
  - tracking_settings.read
  - tracking_settings.subscription.read
  :update:
  - tracking_settings.click.update
  - tracking_settings.google_analytics.update
  - tracking_settings.open.update
  - tracking_settings.subscription.update
:user_settings:
  :create:
  - user.email.create
  - user.multifactor_authentication.create
  :delete:
  - user.email.delete
  - user.multifactor_authentication.delete
  :read:
  - user.account.read
  - user.credits.read
  - user.email.read
  - user.multifactor_authentication.read
  - user.password.read
  - user.profile.read
  - user.timezone.read
  - user.settings.enforced_tls.read
  - user.username.read
  :update:
  - user.email.update
  - user.multifactor_authentication.update
  - user.password.update
  - user.profile.update
  - user.settings.enforced_tls.update
  - user.timezone.update
  - user.username.update
:webhooks:
  :create:
  - user.webhooks.event.test.create
  - user.webhooks.parse.settings.create
  :delete:
  - user.webhooks.parse.settings.delete
  :read:
  - user.webhooks.event.settings.read
  - user.webhooks.event.test.read
  - user.webhooks.parse.settings.read
  - user.webhooks.parse.stats.read
  :update:
  - user.webhooks.event.settings.update
  - user.webhooks.event.test.update
  - user.webhooks.parse.settings.update
:whitelabel:
  :create:
  - whitelabel.create
  :delete:
  - whitelabel.delete
  :read:
  - whitelabel.read
  :update:
  - whitelabel.update
:access_settings:
  :create:
  - access_settings.whitelist.create
  :delete:
  - access_settings.whitelist.delete
  :read:
  - access_settings.activity.read
  - access_settings.whitelist.read
  :update:
  - access_settings.whitelist.update
